/*
 * @(#)HttpToFileExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.http.*;
import java.io.*;

public class HttpToFileExample {
    // print out contents of URL
    public void getUrl(String url, File file) throws HttpException {
        Http http = new Http();
        
        // create request
        HttpRequest request = new HttpRequest(url,"GET");
        
        // get response and save to file
        HttpResponse response = http.getResponseToFile(request,file);
    }
    
    public static void main(String[] args) {
        String url;
        File file;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter web address to retrieve (e.g. http://www.yahoo.com): ");
            url = reader.readLine();
            System.out.print("Enter filename to save as (e.g. contents.html): ");
            file = new File(reader.readLine());
            
            HttpToFileExample example = new HttpToFileExample();
            example.getUrl(url,file);
            System.out.println(file.length() + " written to " + file.getAbsolutePath());
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

