/*
 * @(#)HttpsExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.https.*;
import com.jscape.inet.http.*;
import com.jscape.inet.mime.MimeException;

import java.io.*;

public class HttpsExample extends HttpAdapter {
    private String url;
    
    public HttpsExample(String url) {
        this.url = url;
    }
    
    // print out contents of URL
    public void getUrl() throws HttpException, MimeException {
        Https https = new Https();
        
        // capture Http related events
        https.addHttpListener(this);
        
        // create request
        HttpRequest request = new HttpRequest(url,"GET");
        
        // get response and print to console
        HttpResponse response = https.getResponse(request);
        System.out.println(response.getBody());
        
    }
    
    public void connected(HttpConnectedEvent evt) {
        System.out.println("Connected to: " + evt.getURL());
    }
    
    public void disconnected(HttpDisconnectedEvent evt) {
        System.out.println("Disconnected from: " + evt.getURL());
    }
    
    public static void main(String[] args) {
        String url;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter secure web address to retrieve (e.g. https://www.verisign.com): ");
            url = reader.readLine();
            HttpsExample example = new HttpsExample(url);
            example.getUrl();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

